### Function

# FwupdPlugin byte_array_append_uint32

#### Declaration [src]

    void
    fu_byte_array_append_uint32 (
      GByteArray* array,
      guint32 data,
      FuEndianType endian
    )

#### Description [src]

Adds a 32 bit integer to a byte array.

Available since: | 1.3.1

#### Parameters

`array` | An array of `guint8`
| A `GByteArray`.
| The data is owned by the caller of the function.
`data` | `guint32`
| Value.
`endian` | `FuEndianType`
| Endian type, e.g. #G_LITTLE_ENDIAN.